---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get available gateways

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/agent/get-available-gateways": {
      "summary": "This specification provides the details to get available gateways for the customer",
      "post": {
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payload_get_available_gateways_requestData"
              },
              "examples": {
                "get available gateways(with card_token)": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "transaction_type": "sale",
                    "card_token": "87cfb23a8f1e68e162c276b754d9c061",
                    "cid": "10025",
                    "profile": 1,
                    "amount": 499,
                    "gateway_type": [
                      "card"
                    ],
                    "country": "GB",
                    "currency": "EUR",
                    "locale": "en-GB",
                    "payment_method": [
                      "Credit Card"
                    ],
                    "include_payment_information": 1,
                    "ip_country_code": "US",
                    "ip_address": "123.123.123.123",
                    "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36",
                    "customer_region_code": "NY",
                    "version": "1.3",
                    "timestamp": 1590613956
                  }
                },
                "get available gateways(without card_token)": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "transaction_type": "sale",
                    "gateway_type": [
                      "card"
                    ],
                    "country": "GB",
                    "currency": "EUR",
                    "locale": "en-GB",
                    "cid": "1",
                    "profile": 1,
                    "payment_method": [
                      "Credit Card"
                    ],
                    "include_payment_information": 1,
                    "ip_country_code": "US",
                    "ip_address": "123.123.123.123",
                    "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36",
                    "customer_region_code": "NY",
                    "version": "1.3",
                    "timestamp": 1590613956
                  }
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Manage Payment Request"
        ],
        "parameters": [
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_common"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-available-gateways-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "getAvailableGateways",
        "summary": "Get available gateways"
      }
    }
  },
  "components": {
    "schemas": {
      "property_common_base_properties": {
        "required": [
          "merchant_id",
          "application_key",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "amount": {
        "description": "Transaction amount in cents.\n\n*__Note__*: *For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.*",
        "maxLength": 20,
        "type": "integer"
      },
      "cid": {
        "description": "Unique customer id in your system.\r\n\r\n*__Note:__* *Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.*",
        "maxLength": 50,
        "type": "string",
        "example": "1020"
      },
      "locale": {
        "description": "User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the [ISO 639-1 language code](https://www.loc.gov/standards/iso639-2/php/code_list.php), and the second is the [ISO 3166-1 country code](https://www.iso.org/obp/ui/#search/code/).\n\n*__Note:__* *Contact support@praxis.tech to add new locale if not available in the list.*",
        "maxLength": 5,
        "enum": [
          "ar-SA",
          "cs-CZ",
          "zh-CN",
          "zh-TW",
          "nl-NL",
          "en-GB",
          "tl-PH",
          "fi-FI",
          "fr-FR",
          "de-DE",
          "el-GR",
          "he-IL",
          "hi-IN",
          "hu-HU",
          "it-IT",
          "id-ID",
          "ja-JP",
          "ko-KR",
          "lt-LT",
          "ms-MY",
          "pl-PL",
          "pt-PT",
          "ru-RU",
          "sk-SK",
          "es-ES",
          "sv-SE",
          "th-TH",
          "tr-TR",
          "vi-VN",
          "hy-AM",
          "bg-BG",
          "kh-KH",
          "da-DK",
          "et-EE",
          "ka-GE",
          "lv-LV",
          "nb-NO",
          "sr-RS",
          "sl-SI",
          "ta-IN",
          "uk-UA",
          "sq-AL"
        ],
        "type": "string"
      },
      "gateway": {
        "description": "Gateway doing the processing.",
        "maxLength": 32,
        "type": "string"
      },
      "country": {
        "description": "ISO 3166-1 alpha-2 country code (US, MT, IT, GB, DE etc.)",
        "maxLength": 2,
        "type": "string"
      },
      "bdcc": {
        "description": "Background dynamic currency conversion. Allowed values are:\r\n- 1 is enabled\r\n- 0 is disabled (default)\r\n\r\n*__Note 1:__* *This parameter can be used to decide how to process given prior knowledge of the gateways available for processing and bdcc support for each, by using it in conjunction with get-available-gateways API.*\r\n\r\n*__Note 2:__* *This option is only supported for cascade and cannot be used in conjunction with specifying a gateway (hash). In case of using a gateway hash, please specify a supported processing currency. You can use the get-available-gateways API to determine supported currencies.*",
        "maxLength": 1,
        "enum": [
          0,
          1
        ],
        "type": "integer"
      },
      "card_token": {
        "description": "HASH value of customer's card.\n\n*__Note:__* *This field must not be sent in any subsequent Merchant Initiated Transaction (MIT) requests.*",
        "maxLength": 32,
        "type": "string",
        "example": "af7d1b07c48fbeff116b2bb3e84fb4c9"
      },
      "profile": {
        "description": "Customer's profile level. Different profile levels may be used to configure the transaction and payment method limits.\n Supported Profiles: \r\n- 0 - Blocked\r\n- 1 - Newbie\r\n- 2 - Bronze\r\n- 3 - Silver\r\n- 4 - Gold\r\n- 5 - Platinum",
        "type": "integer",
        "enum": [
          0,
          1,
          2,
          3,
          4,
          5
        ]
      },
      "payment_method": {
        "description": "Payment method.\r\n\r\nThe `payment_method` parameter allows for overriding the specific `gateway` parameter, when utilizing features such as Cascading (for sale) or WD Routing Rules (for payout), for payment methods that support these options.\r\n\r\nIf both parameters `gateway` and `payment_method` received, the `gateway` value will be selected for the processing.",
        "maxLength": 50,
        "type": "string"
      },
      "fee_included": {
        "description": "Whether fee is included in the amount specified by customer within cashier or specified by the website in the cashier (VT) login call",
        "maxLength": 1,
        "enum": [
          0,
          1
        ],
        "type": "integer"
      },
      "fee_type": {
        "description": "Can be either \"flat\" (flat fee amount) or \"percent\" (percent of the transaction amount)  or \"hybrid\" ",
        "maxLength": 32,
        "type": "string",
        "enum": [
          "flat",
          "percent",
          "hybrid"
        ]
      },
      "currency": {
        "description": "**Base Currency**: The user's account currency on the merchant site.",
        "maxLength": 10,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "transaction_type": {
        "description": "Transaction type.",
        "maxLength": 16,
        "type": "string"
      },
      "gateway_type": {
        "description": "Allowed values are:\r\n- card\r\n- apm",
        "type": "array",
        "maxItems": 2,
        "items": {
          "type": "string",
          "enum": [
            "card",
            "apm"
          ]
        }
      },
      "include_payment_information": {
        "description": "Allowed values are:\r\n- 0 to exclude payment information\r\n- 1 to include payment information",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          0,
          1
        ]
      },
      "payload_get_available_gateways_requestData": {
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_base_properties"
          },
          {
            "required": [
              "wallet_data",
              "transaction_type"
            ],
            "type": "object",
            "properties": {
              "transaction_type": {
                "$ref": "#/components/schemas/transaction_type",
                "enum": [
                  "authorization",
                  "sale",
                  "payout"
                ]
              },
              "profile": {
                "$ref": "#/components/schemas/profile"
              },
              "hpf_auth_token": {
                "$ref": "#/components/schemas/hpf_auth_token"
              },
              "gateway_type": {
                "$ref": "#/components/schemas/gateway_type"
              },
              "gateway": {
                "$ref": "#/components/schemas/gateway"
              },
              "country": {
                "$ref": "#/components/schemas/country"
              },
              "locale": {
                "$ref": "#/components/schemas/locale"
              },
              "payment_method": {
                "description": "Allowed values, see __key__ field for payment methods in Atlas",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/payment_method"
                }
              },
              "include_payment_information": {
                "$ref": "#/components/schemas/include_payment_information"
              },
              "ip_address": {
                "$ref": "#/components/schemas/ip_address"
              },
              "ip_country_code": {
                "$ref": "#/components/schemas/ip_country_code"
              },
              "user_agent": {
                "$ref": "#/components/schemas/user_agent"
              },
              "customer_region_code": {
                "$ref": "#/components/schemas/customer_region_code"
              }
            }
          },
          {
            "$ref": "#/components/schemas/property_one_of_card_token_or_without_card_token_for_get_available_gateways"
          }
        ]
      },
      "hpf_auth_token": {
        "description": "HPF auth token. It is recommended to be applied especially if customer enters new card, in that case for better cascade matching card data could be picked up from session by hpf_auth_token",
        "maxLength": 32,
        "type": "string"
      },
      "ip_address": {
        "description": "User IP address",
        "maxLength": 50,
        "type": "string"
      },
      "ip_country_code": {
        "description": "User IP Country",
        "maxLength": 2,
        "type": "string"
      },
      "user_agent": {
        "description": "User Agent",
        "maxLength": 256,
        "type": "string"
      },
      "customer_region_code": {
        "description": "User Region Code",
        "maxLength": 10,
        "type": "string"
      },
      "property_get_available_gateways_without_card_token": {
        "title": "without card token",
        "properties": {
          "card_token": {
            "$ref": "#/components/schemas/card_token"
          },
          "currency": {
            "$ref": "#/components/schemas/currency"
          },
          "cid": {
            "$ref": "#/components/schemas/cid"
          },
          "amount": {
            "$ref": "#/components/schemas/amount"
          }
        }
      },
      "property_one_of_card_token_or_without_card_token_for_get_available_gateways": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/property_get_available_gateways_with_card_token"
          },
          {
            "$ref": "#/components/schemas/property_get_available_gateways_without_card_token"
          }
        ]
      },
      "property_get_available_gateways_with_card_token": {
        "title": "with card token",
        "required": [
          "card_token",
          "currency",
          "cid",
          "amount"
        ],
        "properties": {
          "card_token": {
            "$ref": "#/components/schemas/card_token"
          },
          "currency": {
            "$ref": "#/components/schemas/currency"
          },
          "cid": {
            "$ref": "#/components/schemas/cid"
          },
          "amount": {
            "$ref": "#/components/schemas/amount"
          }
        }
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "gateway_list": {
        "description": "List of gateway objects, where keys are gateway hash strings and values are actual data objects. Appears in all cases except the authentication/validation error, or application malfunction.",
        "required": [
          "gateway"
        ],
        "type": "object",
        "properties": {
          "gateway": {
            "$ref": "#/components/schemas/gateway"
          },
          "gateway_type": {
            "$ref": "#/components/schemas/gateway"
          },
          "payment_method": {
            "$ref": "#/components/schemas/payment_method"
          },
          "display_name": {
            "$ref": "#/components/schemas/display_name"
          },
          "system_name": {
            "$ref": "#/components/schemas/system_name"
          },
          "image": {
            "$ref": "#/components/schemas/image"
          },
          "payment_information": {
            "$ref": "#/components/schemas/payment_information"
          }
        }
      },
      "display_name": {
        "description": "Gateway display name",
        "maxLength": 100,
        "type": "string"
      },
      "system_name": {
        "description": "Gateway title",
        "maxLength": 100,
        "type": "string"
      },
      "image": {
        "description": "URL of an image corresponding to the payment method",
        "maxLength": 512,
        "type": "string"
      },
      "deposit_supported": {
        "description": "Whether deposit is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          1,
          0
        ]
      },
      "authorization_supported": {
        "description": "Whether authorization is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          1,
          0
        ]
      },
      "payout_supported": {
        "description": "Whether payout is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          1,
          0
        ]
      },
      "card_types": {
        "description": "Card Types applied on the gateway in Atlas.",
        "maxLength": 10,
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "countries_supported": {
        "description": "Customer registration countries allowed by the gateway. Indicates the list of ISO 3166-1 alpha-2 codes of countries that can be accepted by the gateway, based on all of the gateway's filter currencies.",
        "maxLength": 2,
        "type": "string"
      },
      "payment_information": {
        "description": "This object is sent only if the input parameter include_payment_information = 1",
        "required": [
          "deposit_supported",
          "authorization_supported",
          "payout_supported",
          "processing_currencies"
        ],
        "type": "object",
        "properties": {
          "deposit_supported": {
            "$ref": "#/components/schemas/deposit_supported"
          },
          "authorization_supported": {
            "$ref": "#/components/schemas/authorization_supported"
          },
          "payout_supported": {
            "$ref": "#/components/schemas/payout_supported"
          },
          "input_fields": {
            "$ref": "#/components/schemas/input_fields"
          },
          "card_types": {
            "$ref": "#/components/schemas/card_types"
          },
          "processing_currencies": {
            "description": "Currency settings applied on the gateway in Atlas.",
            "type": "object",
            "additionalProperties": {
              "description": "Currency name.\n Ex. 'USD', 'EUR' etc.",
              "$ref": "#/components/schemas/processing_currencies_with_bdcc"
            }
          },
          "fees": {
            "$ref": "#/components/schemas/fees"
          },
          "spreads": {
            "$ref": "#/components/schemas/spreads"
          },
          "countries_supported": {
            "$ref": "#/components/schemas/countries_supported"
          }
        }
      },
      "input_fields": {
        "description": "List of input_field objects, representing the data input fields to be rendered for the full data set required for successful processing. The value may be an empty list if no additional fields are required.",
        "type": "object",
        "properties": {
          "key": {
            "description": "The parameter name as it appears in JSON",
            "maxLength": 32,
            "type": "string"
          },
          "label": {
            "description": "Label for the input",
            "maxLength": 50,
            "type": "string"
          },
          "format": {
            "description": "The field format. Possible values are: integer, text, email, phone, url, hidden",
            "maxLength": 32,
            "type": "string",
            "enum": [
              "integer",
              "text",
              "email",
              "phone",
              "url",
              "hidden"
            ]
          },
          "default_value": {
            "description": "Represents the initial content or pre-selected option.",
            "maxLength": 256,
            "type": "string"
          },
          "required": {
            "description": "Whether the fields is required:\r\n- 1 is required\r\n- 0 isn't required",
            "maxLength": 1,
            "type": "integer",
            "enum": [
              0,
              1
            ]
          },
          "min": {
            "description": "Minimal value (integer) or minimal length (all other formats)",
            "maxLength": 10,
            "type": "integer"
          },
          "max": {
            "description": "Maximum value (integer) or maximum length (all other formats)",
            "maxLength": 10,
            "type": "integer"
          },
          "options": {
            "description": "Options allowed to be selected (applies only if format is 'select')",
            "maxLength": 256,
            "type": "string"
          }
        }
      },
      "processing_currencies_base": {
        "type": "object",
        "required": [
          "min_amount",
          "max_amount"
        ],
        "properties": {
          "min_amount": {
            "$ref": "#/components/schemas/min_amount",
            "description": "Min Amount in minor units format."
          },
          "max_amount": {
            "$ref": "#/components/schemas/max_amount",
            "nullable": true,
            "description": "Max Amount in minor units format. If null - no max amount limitation."
          }
        }
      },
      "processing_currencies_with_bdcc": {
        "allOf": [
          {
            "$ref": "#/components/schemas/processing_currencies_base"
          },
          {
            "type": "object",
            "properties": {
              "bdcc": {
                "$ref": "#/components/schemas/bdcc"
              }
            }
          }
        ]
      },
      "min_amount": {
        "description": "Min Amount",
        "maxLength": 10,
        "type": "integer"
      },
      "max_amount": {
        "description": "Max Amount",
        "maxLength": 10,
        "type": "integer"
      },
      "rate": {
        "description": "Fee rate \r\n\r\n The rate field is deprecated and must not be used for fee calculation.\n It is returned only for backward compatibility and will be removed in future versions. New integrations should rely on  parameters `flat_rate` or `percentage_rate`",
        "maxLength": 20,
        "type": "integer"
      },
      "flat_rate": {
        "description": "Fee flat rate (decimal 18,8)",
        "multipleOf": 1e-8,
        "type": "number",
        "format": "double"
      },
      "percentage_rate": {
        "description": "Fee percentage rate  (decimal 18,2)",
        "multipleOf": 0.01,
        "type": "number",
        "format": "double"
      },
      "min_fee_amount": {
        "description": "Min Fee Amount. \r\n\r\n It is used only for `percentage_rate`.",
        "maxLength": 10,
        "type": "integer"
      },
      "max_fee_amount": {
        "description": "Max Fee Amount. \r\n\r\n It is used only for `percentage_rate`.",
        "maxLength": 10,
        "type": "integer"
      },
      "processing_currency": {
        "description": "ISO-4217 symbol for regular currencies and for crypto currencies",
        "maxLength": 10,
        "type": "string"
      },
      "spread_type": {
        "description": "Allowed values are:\r\n- Flat\r\n- Percentage",
        "maxLength": 32,
        "type": "string",
        "enum": [
          "Flat",
          "Percentage"
        ]
      },
      "fees": {
        "description": "Fee settings applied on the gateway in Atlas.",
        "type": "object",
        "properties": {
          "rate": {
            "$ref": "#/components/schemas/rate"
          },
          "flat_rate": {
            "$ref": "#/components/schemas/flat_rate"
          },
          "percentage_rate": {
            "$ref": "#/components/schemas/percentage_rate"
          },
          "min_fee_amount": {
            "$ref": "#/components/schemas/min_fee_amount"
          },
          "max_fee_amount": {
            "$ref": "#/components/schemas/max_fee_amount"
          },
          "fee_type": {
            "$ref": "#/components/schemas/fee_type"
          },
          "processing_currency": {
            "$ref": "#/components/schemas/processing_currency"
          },
          "payment_method": {
            "$ref": "#/components/schemas/payment_method"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "min_amount": {
            "$ref": "#/components/schemas/min_amount"
          },
          "max_amount": {
            "$ref": "#/components/schemas/max_amount"
          },
          "fee_included": {
            "$ref": "#/components/schemas/fee_included"
          }
        }
      },
      "spreads": {
        "description": "Fee settings applied on the gateway in Atlas.",
        "type": "object",
        "properties": {
          "rate": {
            "$ref": "#/components/schemas/rate"
          },
          "spread_type": {
            "$ref": "#/components/schemas/spread_type"
          },
          "processing_currency": {
            "$ref": "#/components/schemas/processing_currency"
          }
        }
      },
      "property_req_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`\n- `cid`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "object_response_200_ok_get_available_gateways": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "type": "object",
            "properties": {
              "gateway_list": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/gateway_list"
                }
              }
            }
          }
        ]
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-available-gateways-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_available_gateways"
            },
            "examples": {
              "gateway found - success response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "gateway_list": [
                    {
                      "gateway": "s-pTSZyK23E1Ee5KZpcNbX_aFl0HuhQ0",
                      "gateway_type": "pp",
                      "payment_method": "Credit Card",
                      "display_name": "Credit Card",
                      "system_name": "Credit Card - global traffic",
                      "image": "https://cdn.cashier-test.com/payment_method_/payment_method_608129b58c1dd.svg",
                      "payment_information": {
                        "deposit_supported": 1,
                        "authorization_supported": 0,
                        "payout_supported": 1,
                        "input_fields": [],
                        "card_types": [
                          "AMEX",
                          "Dankort",
                          "DinersClub",
                          "Discover",
                          "Electron",
                          "Forbrugsforeningen",
                          "JCB",
                          "Maestro",
                          "MasterCard",
                          "Mir",
                          "Unionpay",
                          "VISA"
                        ],
                        "processing_currencies": {
                          "USD": {
                            "min_amount": 1,
                            "max_amount": 10000,
                            "bdcc": 1
                          },
                          "EUR": {
                            "min_amount": 1,
                            "max_amount": 10000,
                            "bdcc": 1
                          },
                          "GBP": {
                            "min_amount": 1,
                            "max_amount": 10000,
                            "bdcc": 1
                          }
                        },
                        "countries_supported": [
                          "UK",
                          "DE",
                          "FR"
                        ]
                      }
                    },
                    {
                      "gateway": "15287e60e253b57c3968a8d33746dd69",
                      "gateway_type": "apm",
                      "payment_method": "altbankwire",
                      "display_name": "E-Wallet",
                      "system_name": "E-Wallet - global traffic",
                      "image": "https://cdn.cashier-test.com/payment_method_/payment_method_608129b58c1dd.svg",
                      "payment_information": {
                        "deposit_supported": 1,
                        "authorization_supported": 0,
                        "payout_supported": 1,
                        "input_fields": [
                          {
                            "key": "full_name",
                            "label": "Full Name",
                            "default_value": "",
                            "required": 0,
                            "format": "text",
                            "min": 0,
                            "max": 50
                          }
                        ],
                        "card_types": [],
                        "processing_currencies": {
                          "USD": {
                            "min_amount": 1,
                            "max_amount": 10000,
                            "bdcc": 0
                          },
                          "EUR": {
                            "min_amount": 1,
                            "max_amount": 10000,
                            "bdcc": 0
                          }
                        },
                        "fees": [
                          {
                            "rate": 5,
                            "flat_rate": 5,
                            "percentage_rate": null,
                            "fee_type": "Flat",
                            "processing_currency": "EUR",
                            "payment_method": "altbankwire",
                            "transaction_type": "sale",
                            "min_amount": 1,
                            "max_amount": 10000,
                            "fee_included": 1
                          },
                          {
                            "rate": 5,
                            "flat_rate": null,
                            "percentage_rate": 0.01,
                            "fee_type": "Percentage",
                            "processing_currency": "USD",
                            "payment_method": "altbankwire",
                            "transaction_type": "sale",
                            "min_amount": 1,
                            "max_amount": 10000,
                            "min_fee_amount": 1,
                            "max_fee_amount": 10,
                            "fee_included": 1
                          },
                          {
                            "rate": 5,
                            "flat_rate": 5,
                            "percentage_rate": 0.01,
                            "fee_type": "Hybrid",
                            "processing_currency": "USD",
                            "payment_method": "altbankwire",
                            "transaction_type": "sale",
                            "min_amount": 1,
                            "max_amount": 10000,
                            "min_fee_amount": 1,
                            "max_fee_amount": 10,
                            "fee_included": 1
                          }
                        ],
                        "spreads": [
                          {
                            "rate": 10,
                            "fee_type": "Percentage",
                            "processing_currency": "EUR"
                          },
                          {
                            "rate": 10,
                            "fee_type": "Percentage",
                            "processing_currency": "USD"
                          }
                        ],
                        "countries_supported": [
                          "AA",
                          "AB",
                          "AC",
                          "AD",
                          "AE",
                          "AF",
                          "AG",
                          "AH",
                          "AI",
                          "AJ",
                          "AK",
                          "AL",
                          "AM",
                          "AN",
                          "AO",
                          "AP",
                          "AQ",
                          "AR",
                          "AS",
                          "AT",
                          "AU",
                          "AV",
                          "AW",
                          "AX",
                          "AY",
                          "AZ",
                          "BA",
                          "BB",
                          "BC",
                          "BD",
                          "BE",
                          "BF",
                          "BG",
                          "BH",
                          "BI",
                          "BJ",
                          "BK",
                          "BL",
                          "BM",
                          "BN",
                          "BO",
                          "BP",
                          "BQ",
                          "BR",
                          "BS",
                          "BT",
                          "BU",
                          "BV",
                          "BW",
                          "BX",
                          "BY",
                          "BZ",
                          "CA",
                          "CB",
                          "CC",
                          "CD",
                          "CE",
                          "CF",
                          "CG",
                          "CH",
                          "CI",
                          "CJ",
                          "CK",
                          "CL",
                          "CM",
                          "CN",
                          "CO",
                          "CP",
                          "CQ",
                          "CR",
                          "CS",
                          "CT",
                          "CU",
                          "CV",
                          "CW",
                          "CX",
                          "CY",
                          "CZ",
                          "DA",
                          "DB",
                          "DC",
                          "DD",
                          "DE",
                          "DF",
                          "DG",
                          "DH",
                          "DI",
                          "DJ",
                          "DK",
                          "DL",
                          "DM",
                          "DN",
                          "DO",
                          "DP",
                          "DQ",
                          "DR",
                          "DS",
                          "DT",
                          "DU",
                          "DV",
                          "DW",
                          "DX",
                          "DY",
                          "DZ",
                          "EA",
                          "EB",
                          "EC",
                          "ED",
                          "EE",
                          "EF",
                          "EG",
                          "EH",
                          "EI",
                          "EJ",
                          "EK",
                          "EL",
                          "EM",
                          "EN",
                          "EO",
                          "EP",
                          "EQ",
                          "ER",
                          "ES",
                          "ET",
                          "EU",
                          "EV",
                          "EW",
                          "EX",
                          "EY",
                          "EZ",
                          "FA",
                          "FB",
                          "FC",
                          "FD",
                          "FE",
                          "FF",
                          "FG",
                          "FH",
                          "FI",
                          "FJ",
                          "FK",
                          "FL",
                          "FM",
                          "FN",
                          "FO",
                          "FP",
                          "FQ",
                          "FR",
                          "FS",
                          "FT",
                          "FU",
                          "FV",
                          "FW",
                          "FX",
                          "FY",
                          "FZ",
                          "GA",
                          "GB",
                          "GC",
                          "GD",
                          "GE",
                          "GF",
                          "GG",
                          "GH",
                          "GI",
                          "GJ",
                          "GK",
                          "GL",
                          "GM",
                          "GN",
                          "GO",
                          "GP",
                          "GQ",
                          "GR",
                          "GS",
                          "GT",
                          "GU",
                          "GV",
                          "GW",
                          "GX",
                          "GY",
                          "GZ",
                          "HA",
                          "HB",
                          "HC",
                          "HD",
                          "HE",
                          "HF",
                          "HG",
                          "HH",
                          "HI",
                          "HJ",
                          "HK",
                          "HL",
                          "HM",
                          "HN",
                          "HO",
                          "HP",
                          "HQ",
                          "HR",
                          "HS",
                          "HT",
                          "HU",
                          "HV",
                          "HW",
                          "HX",
                          "HY",
                          "HZ",
                          "IA",
                          "IB",
                          "IC",
                          "ID",
                          "IE",
                          "IF",
                          "IG",
                          "IH",
                          "II",
                          "IJ",
                          "IK",
                          "IL",
                          "IM",
                          "IN",
                          "IO",
                          "IP",
                          "IQ",
                          "IR",
                          "IS",
                          "IT",
                          "IU",
                          "IV",
                          "IW",
                          "IX",
                          "IY",
                          "IZ",
                          "JA",
                          "JB",
                          "JC",
                          "JD",
                          "JE",
                          "JF",
                          "JG",
                          "JH",
                          "JI",
                          "JJ",
                          "JK",
                          "JL",
                          "JM",
                          "JN",
                          "JO",
                          "JP",
                          "JQ",
                          "JR",
                          "JS",
                          "JT",
                          "JU",
                          "JV",
                          "JW",
                          "JX",
                          "JY",
                          "JZ",
                          "KA",
                          "KB",
                          "KC",
                          "KD",
                          "KE",
                          "KF",
                          "KG",
                          "KH",
                          "KI",
                          "KJ",
                          "KK",
                          "KL",
                          "KM",
                          "KN",
                          "KO",
                          "KP",
                          "KQ",
                          "KR",
                          "KS",
                          "KT",
                          "KU",
                          "KV",
                          "KW",
                          "KX",
                          "KY",
                          "KZ",
                          "LA",
                          "LB",
                          "LC",
                          "LD",
                          "LE",
                          "LF",
                          "LG",
                          "LH",
                          "LI",
                          "LJ",
                          "LK",
                          "LL",
                          "LM",
                          "LN",
                          "LO",
                          "LP",
                          "LQ",
                          "LR",
                          "LS",
                          "LT",
                          "LU",
                          "LV",
                          "LW",
                          "LX",
                          "LY",
                          "LZ",
                          "MA",
                          "MB",
                          "MC",
                          "MD",
                          "ME",
                          "MF",
                          "MG",
                          "MH",
                          "MI",
                          "MJ",
                          "MK",
                          "ML",
                          "MM",
                          "MN",
                          "MO",
                          "MP",
                          "MQ",
                          "MR",
                          "MS",
                          "MT",
                          "MU",
                          "MV",
                          "MW",
                          "MX",
                          "MY",
                          "MZ",
                          "NA",
                          "NB",
                          "NC",
                          "ND",
                          "NE",
                          "NF",
                          "NG",
                          "NH",
                          "NI",
                          "NJ",
                          "NK",
                          "NL",
                          "NM",
                          "NN",
                          "NO",
                          "NP",
                          "NQ",
                          "NR",
                          "NS",
                          "NT",
                          "NU",
                          "NV",
                          "NW",
                          "NX",
                          "NY",
                          "NZ",
                          "OA",
                          "OB",
                          "OC",
                          "OD",
                          "OE",
                          "OF",
                          "OG",
                          "OH",
                          "OI",
                          "OJ",
                          "OK",
                          "OL",
                          "OM",
                          "ON",
                          "OO",
                          "OP",
                          "OQ",
                          "OR",
                          "OS",
                          "OT",
                          "OU",
                          "OV",
                          "OW",
                          "OX",
                          "OY",
                          "OZ",
                          "PA",
                          "PB",
                          "PC",
                          "PD",
                          "PE",
                          "PF",
                          "PG",
                          "PH",
                          "PI",
                          "PJ",
                          "PK",
                          "PL",
                          "PM",
                          "PN",
                          "PO",
                          "PP",
                          "PQ",
                          "PR",
                          "PS",
                          "PT",
                          "PU",
                          "PV",
                          "PW",
                          "PX",
                          "PY",
                          "PZ",
                          "QA",
                          "QB",
                          "QC",
                          "QD",
                          "QE",
                          "QF",
                          "QG",
                          "QH",
                          "QI",
                          "QJ",
                          "QK",
                          "QL",
                          "QM",
                          "QN",
                          "QO",
                          "QP",
                          "QQ",
                          "QR",
                          "QS",
                          "QT",
                          "QU",
                          "QV",
                          "QW",
                          "QX",
                          "QY",
                          "QZ",
                          "RA",
                          "RB",
                          "RC",
                          "RD",
                          "RE",
                          "RF",
                          "RG",
                          "RH",
                          "RI",
                          "RJ",
                          "RK",
                          "RL",
                          "RM",
                          "RN",
                          "RO",
                          "RP",
                          "RQ",
                          "RR",
                          "RS",
                          "RT",
                          "RU",
                          "RV",
                          "RW",
                          "RX",
                          "RY",
                          "RZ"
                        ]
                      }
                    }
                  ],
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              },
              "gateway not found - failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "gateway_list": [],
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```